# Class WindowTaskComponent

- Defined in packages/angular/window-system/src/lib/window-task-bar/window-task/window-task.component.ts:33

#####
Index

### Constructors

constructor

### Properties

window

### Methods

close
reopen

## Constructors

### constructor

- new WindowTaskComponent(): WindowTaskComponent

- #### Returns WindowTaskComponent

## Properties

### window

window: WindowRef<any, any>

- Defined in packages/angular/window-system/src/lib/window-task-bar/window-task/window-task.component.ts:35

## Methods

### close

- close(): void

- #### Returns void

  - Defined in packages/angular/window-system/src/lib/window-task-bar/window-task/window-task.component.ts:37

### reopen

- reopen(): void

- #### Returns void

  - Defined in packages/angular/window-system/src/lib/window-task-bar/window-task/window-task.component.ts:41